/*
Copyright 2010 James Pether Sörling Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. 
	$Id
*/

package com.hack23.cia.architecturerules;

import jdepend.framework.JDepend;
import junit.framework.Assert;

import org.junit.Before;
import org.junit.Test;

/**
 * The Class ArchitectureRuleTest.
 */
public class ArchitectureRuleTest {

    /** The j depend. */
    private JDepend jDepend = new JDepend();

    /*
     * (non-Javadoc)
     * 
     * @see junit.framework.TestCase#setUp()
     */
    /**
     * Sets the up.
     *
     * @throws Exception the exception
     */
    @Before
    public final void setUp() throws Exception {
        jDepend.addDirectory("target/classes"); //$NON-NLS-1$
    }

    /*
     * (non-Javadoc)
     * 
     * @seecom.seventytwomiles.architecturerules.
     * AbstractArchitectureRulesConfigurationTest#testArchitecture()
     */
    /**
     * Test architecture no cycles allowed.
     */
    @Test
    public final void testArchitectureNoCyclesAllowed() {
        jDepend.analyze();
        Assert.assertFalse("Project contains cycles", jDepend.containsCycles()); //$NON-NLS-1$
    }
}
