/*
Copyright 2010 James Pether Sörling Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. 
	$Id
*/

package com.hack23.cia.functionalintegrationtest.scenarios.service.application;

import gnu.trove.THashMap;

import java.util.Map;

import junit.framework.Assert;

import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.test.context.transaction.AfterTransaction;
import org.springframework.test.context.transaction.BeforeTransaction;

import com.hack23.cia.functionalintegrationtest.scenarios.service.common.AbstractServiceRequestFunctionalIntegrationTest;
import com.hack23.cia.service.api.application.ApplicationManager;
import com.hack23.cia.service.api.application.ApplicationRequest;
import com.hack23.cia.service.api.common.ServiceResponse;
import com.hack23.cia.service.api.common.ServiceResponse.ServiceResult;

/**
 * The Class ApplicationRequestFailureFullTest.
 */
public class ApplicationRequestFailureFullTest extends
AbstractServiceRequestFunctionalIntegrationTest {

    /** The application manager. */
    @Autowired
    @Qualifier("applicationManager")
    private ApplicationManager applicationManager;

    /** The service response. */
    private ServiceResponse serviceResponse;

    /**
     * Instantiates a new application request failure full test.
     */
    public ApplicationRequestFailureFullTest() {
        super();
        this.testScenarioName = this.getClass().getSimpleName();
    }

    /**
     * Application request failure.
     *
     * @throws Exception the exception
     */
    @Test
    public final void applicationRequestFailure() throws Exception {
        Map<String, String> userSettings = new THashMap<String, String>();
        ApplicationRequest incompleteApplicationRequest = new ApplicationRequest(
                userSettings);

        serviceResponse = this.applicationManager
                .service(incompleteApplicationRequest);
        Assert.assertEquals(ServiceResult.FAILURE, serviceResponse.getResult());
    }

    /* (non-Javadoc)
     * @see com.hack23.cia.functionalintegrationtest.scenarios.service.common.AbstractServiceRequestFunctionalIntegrationTest#setupDatabasePreCondition()
     */
    @Override
    @BeforeTransaction
    public void setupDatabasePreCondition() throws Exception {
    }

    /* (non-Javadoc)
     * @see com.hack23.cia.functionalintegrationtest.scenarios.service.common.AbstractServiceRequestFunctionalIntegrationTest#verifyDatabasePostCondition()
     */
    @Override
    @AfterTransaction
    public void verifyDatabasePostCondition() throws Exception {
    }
}
