/*
Copyright 2010 James Pether Sörling Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. 
	$Id
*/
package com.hack23.cia.functionalintegrationtest.scenarios.service.common;

import gnu.trove.THashMap;

import java.util.Map;

import com.hack23.cia.service.api.application.ApplicationRequest;

/**
 * A factory for creating TestRequest objects.
 */
public class TestRequestFactory {

    /**
     * Creates a new TestRequest object.
     *
     * @return the application request
     */
    public static final ApplicationRequest createApplicationRequestSwedishUser() {
        Map<String, String> userSettingsMap = new THashMap<String, String>();

        userSettingsMap
                .put(
                        ApplicationRequest.HEADER_USER_AGENT,
                        "Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9.0.12) Gecko/2009070811 Ubuntu/9.04 (jaunty) Firefox/3.0.12");
        userSettingsMap.put(ApplicationRequest.HEADER_ACCEPT_LANGUAGE,
                "xx-xx,xx;q=0.7,sv;q=0.3");
        userSettingsMap.put(ApplicationRequest.HeaderAttributeKey.HEADER_COOKIE
                .toString(), "JSESSIONID=1ugmg9f4tsmvw");
        userSettingsMap.put(ApplicationRequest.HeaderAttributeKey.HEADER_HOST
                .toString(), "localhost:9090");
        userSettingsMap.put(
                ApplicationRequest.HeaderAttributeKey.CLIENT_INFO_ADDRESS
                        .toString(), "0:0:0:0:0:0:0:1");
        userSettingsMap.put(
                ApplicationRequest.HeaderAttributeKey.CLIENT_INFO_HOST
                        .toString(), "0:0:0:0:0:0:0:1");
        userSettingsMap.put(
                ApplicationRequest.HeaderAttributeKey.CLIENT_INFO_USER
                        .toString(), "null");
        ApplicationRequest applicationRequest = new ApplicationRequest(
                userSettingsMap);
        return applicationRequest;
    }

}
