/*
Copyright 2010 James Pether Sörling Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. 
	$Id
*/

package com.hack23.cia.functionalintegrationtest.scenarios.service.user;

import org.junit.Before;

import com.hack23.cia.functionalintegrationtest.scenarios.service.common.AbstractServiceRequestFunctionalIntegrationTest;
import com.hack23.cia.functionalintegrationtest.scenarios.service.common.TestRequestFactory;
import com.hack23.cia.service.api.application.ApplicationRequest;

/**
 * The Class AbstractUserRequestTest.
 */
public abstract class AbstractUserRequestTest extends
    AbstractServiceRequestFunctionalIntegrationTest {

   
    /**
     * Instantiates a new abstract user request test.
     */
    public AbstractUserRequestTest() {
        super();
        this.testScenarioName = this.getClass().getSimpleName();
    }

    /**
     * Creates the initial user session for user test.
     *
     * @throws Exception the exception
     */
    @Before
    public final void createInitialUserSessionForUserTest() throws Exception {
        ApplicationRequest applicationRequest = TestRequestFactory
                .createApplicationRequestSwedishUser();
        this.initialUserSession = this.applicationManager.service(
                applicationRequest).getUserSessionDTO().getUserSession();
    }

}
